Subject: RE: [Mip6] FW: I-D ACTION:draft-korhonen-mip6-service-02.txt

From: "Sri Gundavelli" <[email-masked]>
Date: Fri, 6 Jul 2007 01:57:03 -0700

Hi Jouni,

Some questions on your service selection draft. Please see
inline.

> Identifier: A variable length service identifier string used to
> identify the requested service.  The Identifier string is encoded
> as a host name or a fully qualified domain name as defined in [4]
> and [5].

Can you comment on the format of the service identification. Is
the use FQDN format sufficient to represent any service and is 
that service definition universal ? Or, do you expect the specific
HA/MN deployment to have a common understanding of that "service"
definition.

It would be nice, if the draft presents the potential services
that the MN can ask. Some examples will be nice.

> The Service Selection option is used to assist the authorization and
> identifies a specific service that is to be authorized.  The Service
> Selection option MAY also affect the Home Address or Home Network
> Prefix allocation when for example used with the MN-NAI option.  For
> the same NAI there MAY be different Home Addresses depending on the
> identified service.  Furthermore, the Service Selection option MAY
> also affect the routing of the outbound IP packets in the home agent
> depending on the selected service. 

Does the request/acceptance of a specific service, impact the current
mobility session, in any ways ? Or is it, just a application traffic
for the session. The above text hinted the use of this service
negotiation for "QoS" traffic classification, can you comment on
that and on the services that you have in mind.

Thanks
Sri

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] 
> Sent: Thursday, June 07, 2007 10:42 PM
> To: [email-masked]
> Subject: [Mip6] FW: I-D ACTION:draft-korhonen-mip6-service-02.txt 
> 
> FYI.. The I-D on service selection for MIP6 has been
> revised based on the received comments & feedback.
> 
> Cheers,
> 	Jouni
> 
> 
> > -----Original Message-----
> > From: [email-masked] [mailto:[email-masked]] 
> > Sent: Thursday, June 07, 2007 10:50 PM
> > To: [email-masked]
> > Subject: I-D ACTION:draft-korhonen-mip6-service-02.txt 
> > 
> > A New Internet-Draft is available from the on-line 
> > Internet-Drafts directories.
> > 
> > 
> > 	Title		: Service Selection for Mobile IPv6
> > 	Author(s)	: J. Korhonen, et al.
> > 	Filename	: draft-korhonen-mip6-service-02.txt
> > 	Pages		: 9
> > 	Date		: 2007-6-7
> > 	
> > In some Mobile IPv6 deployments identifying the mobile node or the
> >    mobility service subscriber is not enough to distinguish between
> >    multiple services possibly provisioned to the said 
> mobile node and
> >    its mobility service subscription.  A capability to 
> > specify different
> >    services in addition to the mobile node identity can be 
> > leveraged to
> >    provide flexibility for mobility service providers on 
> provisioning
> > 
> >    multiple services to one mobility service subscription.  This
> >    document describes a Service Selection Mobility Option for both
> >    conventional Mobile IPv6 or Proxy Mobile IPv6 that is intended to
> >    assist home agents to make a specific service selection for the
> >    mobility service subscription during the binding update 
> procedure.
> > 
> > A URL for this Internet-Draft is:
> > 
> http://www.ietf.org/internet-drafts/draft-korhonen-mip6-service-02.txt
> > 
> > To remove yourself from the I-D Announcement list, send a 
> message to 
> > [email-masked] with the word unsubscribe in 
> > the body of 
> > the message. 
> > You can also visit 
> > https://www1.ietf.org/mailman/listinfo/I-D-announce 
> > to change your subscription settings.
> > 
> > Internet-Drafts are also available by anonymous FTP. Login with the 
> > username "anonymous" and a password of your e-mail address. After 
> > logging in, type "cd internet-drafts" and then 
> > "get draft-korhonen-mip6-service-02.txt".
> > 
> > A list of Internet-Drafts directories can be found in
> > http://www.ietf.org/shadow.html 
> > or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
> > 
> > Internet-Drafts can also be obtained by e-mail.
> > 
> > Send a message to:
> > 	[email-masked].
> > In the body type:
> > 	"FILE /internet-drafts/draft-korhonen-mip6-service-02.txt".
> > 	
> > NOTE:	The mail server at ietf.org can return the document in
> > 	MIME-encoded form by using the "mpack" utility.  To use this
> > 	feature, insert the command "ENCODING mime" before the "FILE"
> > 	command.  To decode the response(s), you will need "munpack" or
> > 	a MIME-compliant mail reader.  Different MIME-compliant 
> > mail readers
> > 	exhibit different behavior, especially when dealing with
> > 	"multipart" MIME messages (i.e. documents which have been split
> > 	up into multiple messages), so check your local documentation on
> > 	how to manipulate these messages.
> > 
> > Below is the data which will enable a MIME compliant mail reader
> > implementation to automatically retrieve the ASCII version of the
> > Internet-Draft.
> > 
> 

_______________________________________________
Mip6 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mip6

---

From: <[email-masked]>
Date: Sun, 8 Jul 2007 20:47:05 +0200

Hi Sri,

Thanks for the review. Some answers inline.

> Hi Jouni,
> 
> Some questions on your service selection draft. Please see inline.
>
> > identify the requested service.  The Identifier string is 
> encoded as a 
> > host name or a fully qualified domain name as defined in 
> [4] and [5].
> 
> Can you comment on the format of the service identification. 
> Is the use FQDN format sufficient to represent any service 
> and is that service definition universal ? Or, do you expect 
> the specific HA/MN deployment to have a common understanding 
> of that "service"
> definition.

Right, this should be a bit more exact here. In a case the service
was given as a host name (i.e. one label like "onlinegaming"), the
HA/MN deployment must have a common understanding of service's
scope.

In a case the service was given as a FQDN (e.g.
"onlinegaming.example.com"), the service "onlinegaming" is managed
under the domain "example.com". A service "onlinegaming.example.net"
might not be the same service.. depends on how the domains
"example.com" and "example.net" deal with each other.

So as a bottom line we are not after universally defined services
rather something that is managed under some domain/realm.

> that the MN can ask. Some examples will be nice.

Ok. Will captuare few.

> for the session. The above text hinted the use of this service

The draft mentions that the service selection option should only be used
in the initial BU/PBU when setting up the mobility session. This is
because
the service selection itself may affect e.g. where the packets are
allowed
to be forwarded from the the HA etc.

When used with e.g. draft-devarapalli-mip6-authprotocol-bootstrap-02
the service selection could even affect the selection of the HoA.

> that and on the services that you have in mind.

Different QoS treatment per service is definitely possible. Also 
different traffic filtering based on the service is possible i.e.
the traffic originating from the MN is not allowed to reach some
service platform unless the authorization for the requested service
succeeded (again one could do this with VPNs but I don't think it
is a right path).

The use cases I have in mind are mostly cases where a single operator
HA is shared between multiple service providers or service platforms
that each may require separate authorization for their services. A new
option is imho cleaner than e.g. overloading MN-NAI (which would have
also worked).

Another use case / service in scope is a PMIP6 scenario where the PBU
does not include a valid MN-HNP yet. In this case the service selection
together with MN-NAI can be used to select a proper MN-HNP.. Assuming
again that an operator shares a HA (well.. LMA) for multiple service
providers or there might be different MH-HNP per selected external
network (that again depends on the selected service).

Cheers,
	Jouni